#include <iostream>
#include <vector>
#include <algorithm>
#include <math.h>
#include <set>
#include <map>
#include <unordered_map>
#include <random>
#include <chrono>
// #include <bits/stdc++.h>

using namespace std;

mt19937 rng(chrono::steady_clock().now().time_since_epoch().count());

using ll = long long;
using ld = long double;
const ll INF = 1e9 * 5e5;

int main() {
    ios::sync_with_stdio(false);
    cin.tie(nullptr);
    return 0;
}
